From ddc3c9590a13dcef98b80b071f9f1674dd0cef91 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Tue, 4 Aug 2015 11:18:58 -0400
Subject: [PATCH] buglist bug 7303: Duplicate signature in )show ALIST

Goal: Proving Axiom Correct

This signature appears to be a duplicate in the )show command.
The reason is unclear and is marked as a bug.
---
 buglist                        |    8 +++++++-
 changelog                      |    2 ++
 patch                          |   10 +++-------
 src/axiom-website/patches.html |    2 ++
 4 files changed, 14 insertions(+), 8 deletions(-)

diff --git a/buglist b/buglist
index 0482e3a..ca86be5 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7303: 
+bug 7304: 
 todo 339:
 wish 1012:
 meh 5:
@@ -12,6 +12,12 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7303: Duplicate signature in )show ALIST 
+
+parts : % -> List(Record(key: Key,entry: Entry))
+occurs twice in )show ALIST
+
+=========================================================================
 todo 338: Convert to Float fails
 
 (1) -> eval(integrate(x*exp(-(x-u)^2/2)/(sqrt(2*%pi)),x=a..%plusInfinity),[a=1,u=0.5])
diff --git a/changelog b/changelog
index dcac6e1..b47de77 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150804 tpd src/axiom-website/patches.html 20150804.02.tpd.patch
+20150804 tpd buglist bug 7303: Duplicate signature in )show ALIST 
 20150804 tpd src/axiom-website/patches.html 20150804.01.tpd.patch
 20150804 tpd books/bookvolbib  add proof-related papers
 20150804 tpd books/bookvol10.4 add COQ stanzas
diff --git a/patch b/patch
index d3c4e80..845c195 100644
--- a/patch
+++ b/patch
@@ -1,11 +1,7 @@
-books/bookvol10.* add COQ stanzas
+buglist bug 7303: Duplicate signature in )show ALIST
 
 Goal: Proving Axiom Correct
 
-Stanzas were added to the algebra that contain the executable code
-with associated signatures. These stanzas are automatically extracted
-to the obj/sys/proofs/coq.v file. This file is piped through coqtop
-to run the proofs.
+This signature appears to be a duplicate in the )show command.
+The reason is unclear and is marked as a bug.
 
-Building stanzas is not complete but is (maybe) sufficient to construct
-a first proof.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index dd3060c..9588756 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -5114,6 +5114,8 @@ books/bookvol13 Add mathematics for GCD proof<br/>
 buglist: add TODO for erf-related conversion to Float<br/>
 <a href="patches/20150804.01.tpd.patch">20150804.01.tpd.patch</a>
 books/bookvol10.* add COQ stanzas<br/>
+<a href="patches/20150804.02.tpd.patch">20150804.02.tpd.patch</a>
+buglist bug 7303: Duplicate signature in )show ALIST <br/>
  </body>
 </html>
 
-- 
1.7.5.4

